<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <log4net>
    <appender name="RollingFileAppender" type="log4net.Appender.RollingFileAppender">
      <file value="" />
      <appendToFile value="false" />
      <rollingStyle value="Size" />
      <maxSizeRollBackups value="10" />
      <maximumFileSize value="500KB" />
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="{&quot;source&quot;:&quot;%logger&quot;,&quot;level&quot;:&quot;%level&quot;,&quot;date&quot;:&quot;%date&quot;,&quot;ms&quot;:%timestamp,&quot;thread&quot;:&quot;%thread&quot;,&quot;log&quot;:%message}%newline" />
      </layout>
    </appender>
    <!--<appender name="EventLogAppender" type="log4net.Appender.EventLogAppender">
      <applicationName value="Context_Sensing_Service" />
      <layout type="log4net.Layout.PatternLayout">
        <conversionPattern value="%date [%thread] %-5level %logger - %message %exception%newline" />
      </layout>
    </appender>-->
    <!-- Set root logger level to DEBUG and its only appender to A1 -->
    <root>
      <level value="DEBUG" />
      <appender-ref ref="RollingFileAppender" />
      <appender-ref ref="EventLogAppender" />
    </root>
  </log4net>
</configuration>